"""GUI - create a top level window containing a Canvas object
Author: Adriana Ferraro
"""
from tkinter import *


def rectangular_grid(a_canvas):
	number_of_rows = 6
	size = 30
	y_down = 0
	left_hand_side = size
	
	for number_along_row in range(1, number_of_rows + 1):
		x_left = left_hand_side
		
		for j in range(number_along_row):
			rect = (x_left + 2, y_down + 2, x_left + size - 2, y_down + size - 2)			
			a_canvas.create_oval(rect, fill="blue")
			x_left = x_left + size * 2
			
		y_down = y_down + size

		
def draw_grid(a_canvas):
	size = 30		
	for row in range(size, 600, size):
		a_canvas.create_line(-1, row, 601, row, fill="lightblue")
	for col in range(size, 600, size):
		a_canvas.create_line(col, -1, col, 601, fill="lightblue")


def main():
	root = Tk() 
	root.title("My first Canvas") 
	root.geometry("400x300+10+20")
	a_canvas = Canvas(root)
	
	a_canvas.config(background="white")	
	a_canvas.pack(fill=BOTH, expand = True) #Canvas fills the whole top level window
	draw_grid(a_canvas)	
	rectangular_grid(a_canvas)
	
	root.mainloop()

main()

